Subject: bug#77389: 31.0.50; Restarting Emacs with (kill-emacs ... t) looses noninteractivity

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Apr 2025 13:46:00 +0300

> Date: Thu, 3 Apr 2025 21:52:33 +0200
> Cc: [email-masked]
> From: Jens Schmidt <[email-masked]>
> 
> - I guess the following files all don't get compiled on Windows
>   and any references to initial_arg[vc] can be safely ignored in
>   these: src/nsterm.m, src/xterm.c, src/xsmfns.c, src/pgtkterm.c

Yes.

> - sysdep.c refers to initial_argv[0] in function emacs_perror
>   and it seems it does so for Windows as well.  What should I
>   do about that one?  Use simply constant "emacs"?  Or the
>   result of w32_my_exename (plus any required coding system
>   conversion)?

Why does this matter?  Your patch doesn't eliminate initial_argv, so
initial_argv[0] still holds the name of the Emacs program, albeit only
in the form it was provided by the calling shell.  Right?  If so, then
for reporting errors (and ones that should never happen at that), I
don't see any need to jump through hoops.